{"openapi":"3.0.4","info":{"title":"Patch portfolio details","description":"Create or update certain details for a particular transaction portfolio.\r\nNote that not all elements of a transaction portfolio definition are\r\nmodifiable once it has been created due to the potential implications for data already stored.\r\nThe behaviour is defined by the JSON Patch specification.\r\n\r\nCurrently supported fields are: BaseCurrency, AccountingMethod, SubHoldingKeys, AmortisationMethod, TransactionTypeScope, CashGainLossCalculationDate, InstrumentEventConfiguration, AmortisationRuleSetId, TaxRuleSetScope, SettlementConfiguration.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/transactionportfolios/{scope}/{code}/details":{"patch":{"tags":["Transaction Portfolios"],"summary":"Patch portfolio details","description":"Create or update certain details for a particular transaction portfolio.\r\nNote that not all elements of a transaction portfolio definition are\r\nmodifiable once it has been created due to the potential implications for data already stored.\r\nThe behaviour is defined by the JSON Patch specification.\r\n\r\nCurrently supported fields are: BaseCurrency, AccountingMethod, SubHoldingKeys, AmortisationMethod, TransactionTypeScope, CashGainLossCalculationDate, InstrumentEventConfiguration, AmortisationRuleSetId, TaxRuleSetScope, SettlementConfiguration.","operationId":"PatchPortfolioDetails","parameters":[{"name":"scope","in":"path","description":"The scope of the transaction portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the transaction portfolio. Together with the\r\n            scope this uniquely identifies the transaction portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"effectiveAt","in":"query","description":"The effective datetime or cut label at which the updated or inserted details should become valid.\r\n            Defaults to the current LUSID system datetime if not specified.\r\n            Note that this will affect all bitemporal fields (eg: SettlementConfiguration) in the request (but will not be used for any\r\n            perpetual fields). When patching a bitemporal field, the field will be updated from the\r\n            effectiveAt onwards and until the end of effective time.","schema":{"type":"string","format":"dateorcutlabel"}}],"requestBody":{"description":"The patch document.","content":{"application/json-patch+json":{"schema":{"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/Operation"}},"example":[{"value":["Transaction/Client/AccountType"],"path":"/subHoldingKeys","op":"add"},{"value":"GBP","path":"/baseCurrency","op":"add"},{"value":"newscope","path":"/transactiontypescope","op":"add"},{"value":"TransactionDate","path":"/cashGainLossCalculationDate","op":"add"},{"value":["NewTransactionTemplateScope"],"path":"/instrumentEventConfiguration/transactionTemplateScopes","op":"add"},{"value":{"scope":"myRecipeScope","code":"myRecipeCode"},"path":"/instrumentEventConfiguration/recipeId","op":"add"}]},"application/json":{"schema":{"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/Operation"}},"example":[{"value":["Transaction/Client/AccountType"],"path":"/subHoldingKeys","op":"add"},{"value":"GBP","path":"/baseCurrency","op":"add"},{"value":"newscope","path":"/transactiontypescope","op":"add"},{"value":"TransactionDate","path":"/cashGainLossCalculationDate","op":"add"},{"value":["NewTransactionTemplateScope"],"path":"/instrumentEventConfiguration/transactionTemplateScopes","op":"add"},{"value":{"scope":"myRecipeScope","code":"myRecipeCode"},"path":"/instrumentEventConfiguration/recipeId","op":"add"}]},"text/json":{"schema":{"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/Operation"}},"example":[{"value":["Transaction/Client/AccountType"],"path":"/subHoldingKeys","op":"add"},{"value":"GBP","path":"/baseCurrency","op":"add"},{"value":"newscope","path":"/transactiontypescope","op":"add"},{"value":"TransactionDate","path":"/cashGainLossCalculationDate","op":"add"},{"value":["NewTransactionTemplateScope"],"path":"/instrumentEventConfiguration/transactionTemplateScopes","op":"add"},{"value":{"scope":"myRecipeScope","code":"myRecipeCode"},"path":"/instrumentEventConfiguration/recipeId","op":"add"}]},"application/*+json":{"schema":{"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/Operation"}},"example":[{"value":["Transaction/Client/AccountType"],"path":"/subHoldingKeys","op":"add"},{"value":"GBP","path":"/baseCurrency","op":"add"},{"value":"newscope","path":"/transactiontypescope","op":"add"},{"value":"TransactionDate","path":"/cashGainLossCalculationDate","op":"add"},{"value":["NewTransactionTemplateScope"],"path":"/instrumentEventConfiguration/transactionTemplateScopes","op":"add"},{"value":{"scope":"myRecipeScope","code":"myRecipeCode"},"path":"/instrumentEventConfiguration/recipeId","op":"add"}]}},"required":true},"responses":{"200":{"description":"The newly patched details","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PortfolioDetails"},"example":{"originPortfolioId":{"scope":"Region","code":"UK"},"version":{"effectiveFrom":"2024-05-05T05:05:05.0000000+00:00","asAtDate":"2025-05-05T05:05:05.0000000+00:00"},"baseCurrency":"GBP","corporateActionSourceId":{"scope":"Sources","code":"Vendor1"},"subHoldingKeys":["Portfolio/Client/AccountType"],"accountingMethod":"Default"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PortfolioDetails"},"example":{"originPortfolioId":{"scope":"Region","code":"UK"},"version":{"effectiveFrom":"2024-05-05T05:05:05.0000000+00:00","asAtDate":"2025-05-05T05:05:05.0000000+00:00"},"baseCurrency":"GBP","corporateActionSourceId":{"scope":"Sources","code":"Vendor1"},"subHoldingKeys":["Portfolio/Client/AccountType"],"accountingMethod":"Default"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PortfolioDetails"},"example":{"originPortfolioId":{"scope":"Region","code":"UK"},"version":{"effectiveFrom":"2024-05-05T05:05:05.0000000+00:00","asAtDate":"2025-05-05T05:05:05.0000000+00:00"},"baseCurrency":"GBP","corporateActionSourceId":{"scope":"Sources","code":"Vendor1"},"subHoldingKeys":["Portfolio/Client/AccountType"],"accountingMethod":"Default"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}